Đến nội dung


Hình ảnh

Xin Lisp Về Layer


  • Please log in to reply
1 reply to this topic

#1 Khonghedongian

Khonghedongian

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: -5 (bình thường)

Đã gửi 06 November 2015 - 04:07 PM

Mong các bác giúp đỡ. em có 1 bản vẽ mà có nhiều mẫu em copy của người khác, trong đó nhiều layer rất lộn xộn trong khi  Công ty em chỉ dùng 3 layer chính : STEEL ( nét liền) , HIDDEN LINE ( nét đứt) , GRID LINE ( nét tâm). em muốn tất cả các layer nét đứt chuyển về HIDDEN LINE , tất cả nét liền về layer STEEL , và nét tâm chuyển về GRID LINE.  mong các bác hồi âm sớm.


  • 0

#2 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 07 November 2015 - 09:05 AM

-Nét liền = "Continuous"

-Nét tâm = "CENTER,CENTER2,CENTERX2"

-Còn lại là nét đứt

(defun c:TRL ( / cmd ss lst info dxf6 dxf62)
(setq cmd (getvar "cmdecho"))
(setvar "cmdecho" 0)
(setq ss (ssget))
(if ss
	(progn
		(setq lst (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))))
		(foreach elem lst
			(cond	((or (and (null (assoc 6 (setq info (entget elem))))
							(wcmatch (cdr (assoc 6 (entget (tblobjname "layer" (cdr (assoc 8 info)))))) "Continuous")
						)
						(and (assoc 6 info) (wcmatch (cdr (assoc 6 info)) "Continuous"))
					)
						(if (setq dxf6 (assoc 6 info)) (setq info (subst (cons 6 "ByLayer") dxf6 info)))
						(if (setq dxf62 (assoc 62 info)) (setq info (subst (cons 62 256) dxf62 info)))
						(setq info (subst (cons 8 "STEEL") (assoc 8 info) info))
						(entmod info)
					)
					((or (and (null (assoc 6 info))
							(wcmatch (cdr (assoc 6 (entget (tblobjname "layer" (cdr (assoc 8 info)))))) "CENTER,CENTER2,CENTERX2")
						)
						(and (assoc 6 info) (wcmatch (cdr (assoc 6 info)) "CENTER,CENTER2,CENTERX2"))
					)
						(if (setq dxf6 (assoc 6 info)) (setq info (subst (cons 6 "ByLayer") dxf6 info)))
						(if (setq dxf62 (assoc 62 info)) (setq info (subst (cons 62 256) dxf62 info)))
						(setq info (subst (cons 8 "GRID LINE") (assoc 8 info) info))
						(entmod info)
					)
					(T  
						(if (setq dxf6 (assoc 6 info)) (setq info (subst (cons 6 "ByLayer") dxf6 info)))
						(if (setq dxf62 (assoc 62 info)) (setq info (subst (cons 62 256) dxf62 info)))
						(setq info (subst (cons 8 "HIDDEN LINE") (assoc 8 info) info))
						(entmod info)
					)
			)
		)
	)
	(princ "\n*** Khong chon duoc thang nao ca ^|^ ***")
)
(setvar "cmdecho" cmd)
(princ)
)

  • 0

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson